#ifndef _GROUPSCREEN_H
#define _GROUPSCREEN_H 1

#include <pqxx/connection>
#include <time.h>
#include <sys/time.h>

#include "screen.h"
#include "flagtrigger.h"
#include "group.h"

/* A screen class showing a group in the tournament */
class GroupScreen : public GenericScreen {
private:
	unsigned tournament, round, parallel;
	FlagTrigger scores_changed;
	pqxx::connection &conn;
	bool valid;
	struct timeval last_updated;

public:
	GroupScreen(pqxx::connection &conn, unsigned tournament, unsigned round, unsigned parallel);
	virtual ~GroupScreen();

	bool check_invalidated();
	void draw(unsigned char *buf);
};

#endif /* !defined(_GROUPSCREEN_H) */
